QwtPlotMarker(3)

NAME
QwtPlotMarker -

SYNOPSIS

#include <qwt_plot_marker.h>

Inherits QwtPlotItem.

  Public Types
enum LineStyle { NoLine, HLine, VLine, Cross }

  Public Member Functions
QwtPlotMarker ()
virtual ~QwtPlotMarker ()
virtual QRectF boundingRect () const
virtual void draw (QPainter *p, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &) const
virtual void drawLegendIdentifier (QPainter *, const QRectF &) const
QwtText label () const
Qt::Alignment labelAlignment () const
Qt::Orientation labelOrientation () const
const QPen & linePen () const
LineStyle lineStyle () const
virtual int rtti () const
void setLabel (const QwtText &)
void setLabelAlignment (Qt::Alignment)
void setLabelOrientation (Qt::Orientation)
void setLinePen (const QPen &p)
void setLineStyle (LineStyle st)
void setSpacing (int)
void setSymbol (const QwtSymbol *)
void setValue (double, double)
void setValue (const QPointF &)
void setXValue (double)
void setYValue (double)
int spacing () const
const QwtSymbol * symbol () const
virtual void updateLegend (QwtLegend *) const
QPointF value () const
double xValue () const
double yValue () const

  Protected Member Functions
virtual void drawLabel (QPainter *, const QRectF &, const QPointF &) const
virtual void drawLines (QPainter *, const QRectF &, const QPointF &) const

Detailed Description

A class for drawing markers. A marker can be a horizontal line, a vertical line, a symbol, a label or any combination of them, which can be drawn around a center point inside a bounding rectangle.

The QwtPlotMarker::setSymbol() member assigns a symbol to the marker. The symbol is drawn at the specified point.

With setLabel(), a label can be assigned to the marker. The setLabelAlignment() member specifies where the label is drawn. All the Align*-constants in Qt::AlignmentFlags (see Qt documentation) are valid. The interpretation of the alignment depends on the marker's line style. The alignment refers to the center point of the marker, which means, for example, that the label would be printed left above the center point if the alignment was set to Qt::AlignLeft | Qt::AlignTop.

Member Enumeration Documentation

  enum QwtPlotMarker::LineStyle
Line styles.

See also:
    setLineStyle(), lineStyle()

Enumerator:

NoLine
    No line.

HLine
    A horizontal line.

VLine
    A vertical line.

Cross
    A crosshair.

Member Function Documentation

  QRectF QwtPlotMarker::boundingRect () const [virtual]
Returns:
    An invalid bounding rect: QRectF(1.0, 1.0, -2.0, -2.0)

Note:
    A width or height < 0.0 is ignored by the autoscaler

Reimplemented from QwtPlotItem.

  void QwtPlotMarker::draw (QPainter *painter, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &canvasRect) const [virtual]
Draw the marker

Parameters:
    painter Painter
    xMap x Scale Map
    yMap y Scale Map
    canvasRect Contents rect of the canvas in painter coordinates

Implements QwtPlotItem.

  void QwtPlotMarker::drawLabel (QPainter *painter, const QRectF &canvasRect, const QPointF &pos) const [protected], [virtual]
Align and draw the text label of the marker

Parameters:
    painter Painter
    canvasRect Contents rect of the canvas in painter coordinates
    pos Position of the marker, translated into widget coordinates

See also:
    drawLabel(), QwtSymbol::drawSymbol()

  void QwtPlotMarker::drawLegendIdentifier (QPainter *painter, const QRectF &rect) const [virtual]

Draw the identifier representing the marker on the legend. Parameters:
    painter Painter
    rect Bounding rectangle for the identifier

See also:
    updateLegend(), QwtPlotItem::Legend

Reimplemented from QwtLegendItemManager.

  void QwtPlotMarker::drawLines (QPainter *painter, const QRectF &canvasRect, const QPointF &pos) const [protected], [virtual]
Draw the lines marker

Parameters:
    painter Painter
    canvasRect Contents rect of the canvas in painter coordinates
    pos Position of the marker, translated into widget coordinates

See also:
    drawLabel(), QwtSymbol::drawSymbol()

  QwtText QwtPlotMarker::label () const
Returns:
    the label

See also:
    setLabel()

  Qt::Alignment QwtPlotMarker::labelAlignment () const
Returns:
    the label alignment

See also:
    setLabelAlignment(), setLabelOrientation()

  Qt::Orientation QwtPlotMarker::labelOrientation () const
Returns:
    the label orientation

See also:
    setLabelOrientation(), labelAlignment()

  const QPen & QwtPlotMarker::linePen () const
Returns:
    the line pen

See also:
    setLinePen()

  QwtPlotMarker::LineStyle QwtPlotMarker::lineStyle () const
Returns:
    the line style

See also:
    setLineStyle()

  int QwtPlotMarker::rtti () const [virtual]
Returns:
    QwtPlotItem::Rtti_PlotMarker

Reimplemented from QwtPlotItem.

  void QwtPlotMarker::setLabel (const QwtText &label)

Set the label. Parameters:
    label label text

See also:
    label()

  void QwtPlotMarker::setLabelAlignment (Qt::Alignmentalign)

Set the alignment of the label. In case of QwtPlotMarker::HLine the alignment is relative to the y position of the marker, but the horizontal flags correspond to the canvas rectangle. In case of QwtPlotMarker::VLine the alignment is relative to the x position of the marker, but the vertical flags correspond to the canvas rectangle.

In all other styles the alignment is relative to the marker's position.

Parameters:
    align Alignment.

See also:
    labelAlignment(), labelOrientation()

  void QwtPlotMarker::setLabelOrientation (Qt::Orientationorientation)

Set the orientation of the label. When orientation is Qt::Vertical the label is rotated by 90.0 degrees ( from bottom to top ).

Parameters:
    orientation Orientation of the label

See also:
    labelOrientation(), setLabelAlignment()

  void QwtPlotMarker::setLinePen (const QPen &pen)
Specify a pen for the line.

Parameters:
    pen New pen

See also:
    linePen()

  void QwtPlotMarker::setLineStyle (LineStylestyle)

Set the line style. Parameters:
    style Line style.

See also:
    lineStyle()

  void QwtPlotMarker::setSpacing (intspacing)

Set the spacing. When the label is not centered on the marker position, the spacing is the distance between the position and the label.

Parameters:
    spacing Spacing

See also:
    spacing(), setLabelAlignment()

  void QwtPlotMarker::setSymbol (const QwtSymbol *symbol)

Assign a symbol. Parameters:
    symbol New symbol

See also:
    symbol()

  int QwtPlotMarker::spacing () const
Returns:
    the spacing

See also:
    setSpacing()

  const QwtSymbol * QwtPlotMarker::symbol () const
Returns:
    the symbol

See also:
    setSymbol(), QwtSymbol

  void QwtPlotMarker::updateLegend (QwtLegend *legend) const [virtual]

Update the widget that represents the item on the legend. Parameters:
    legend Legend

See also:
    drawLegendIdentifier(), legendItem(), itemChanged(), QwtLegend()

Note:
    In the default setting QwtPlotItem::Legend is disabled

Reimplemented from QwtPlotItem.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.